/*!
 * @file movie_entity.h
 *  Definition of a Movie Screen
 */

#ifndef _MOVIE_ENTITY_H
#define _MOVIE_ENTITY_H

#include "world_entity.h"


class MediaContainer;
class Material;

class MovieEntity : public WorldEntity
{
  private:
    MediaContainer* media_container;
    Material* material;

    int counter;
    float timer;
    float fps;

  public:
    MovieEntity (const TiXmlElement* root = NULL);
    ~MovieEntity ();

    virtual void draw () const;
    virtual void tick (float time);
    void loadParams(const TiXmlElement* root);
    void loadMovie(const char* filename);

};

#endif /* _MOVIE_ENTITY_H */
